# timespan::get-total-hours

[This is preliminary documentation and subject to change.]

Returns the total number of hours represented by the specified TimeSpan, expressed in whole and fractional hours.

### Usage

`double timespan::get-total-hours(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | timespan | A TimeSpan.

### Return Value

The total number of hours represented by the given TimeSpan.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)